External monitor causes screen corruption

Bug #810971 reported by Jussi Pakkanen on 2011-07-15
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Jay Taoko
compiz (Ubuntu)
High
Jay Taoko
Oneiric
High
Jay Taoko
unity (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

I run Oneiric alpha 2 64+mac live CD. Plugging in an external monitor with a DVI cable causes the screen corruption.

The laptop's main screen splits into two halves. The top one keeps showing whatever it was showing when the monitor was plugged.

The bottom half displays properly.

The external monitor is fully black except for the menu bar at the top.

Unplugging the monitor makes everything work again.

Using a VGA cable gives almost the same results, except that the split does not happen at the middle of the screen but rather about a quarter from the top. The top also displays black rather than what was there originally.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: xorg 1:7.6+7ubuntu1
ProcVersionSignature: Ubuntu 3.0-3.4-generic 3.0.0-rc5
Uname: Linux 3.0-3-generic x86_64
Architecture: amd64
Date: Fri Jul 15 10:02:35 2011
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64+mac (20110705.1)
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)

Jussi Pakkanen (jpakkane) wrote :
description: updated
Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report.

Could you please attach the output of 'sudo lspci -v'

Thanks.

Likely dup of bug 808677

Changed in xorg (Ubuntu):
status: New → Incomplete
importance: Undecided → High
tags: added: iso-testing
Jussi Pakkanen (jpakkane) wrote :

Attached.

This does not feel like a dup of that bug to me. The behaviour is different and this GFX card occasionally has screen corruption even without an external monitor.

Jean-Baptiste Lallement (jibel) wrote :

Does it happen with Unity-2D or only Unity ?

To login on unity-2d select 'Ubuntu 2d' in the combo box on the login screen.

affects: xorg (Ubuntu) → compiz (Ubuntu)
Changed in compiz (Ubuntu):
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
Jussi Pakkanen (jpakkane) wrote :

In Unity 2D the external monitor works without a problem. A quick test did not produce any screen corruption.

However in natty, I get occasional screen corruption even in the basic Gnome 2 environment. This usually happens with Eclipse, which can't be easily tested with the live ISO. (However I do know that upstream has improved the driver for this video card quite a lot so maybe those bugs have been fixed.)

Jean-Baptiste Lallement (jibel) wrote :

Thanks for confirming. I'll target for oneiric.

Changed in compiz (Ubuntu):
status: Incomplete → Confirmed
Scott Moser (smoser) wrote :

bug 811052 was opened against Unity, which I think is the correct package. The reason for that is that gnome shell does not exhibit this bug for me (2d desktops also do not exhibit issue). Unless I'm mistaken, that means that the issue is not [entirely] with compiz.

Jean-Baptiste Lallement (jibel) wrote :

Scott, I agree, and this looks like a regression over bug 795454 and bug 795458.
For reference, other issues related to this one:
bug 808677
bug 808685

See also discussion on IRC http://irclogs.ubuntu.com/2011/07/13/%23ubuntu-desktop.html starting at
"seb128 RAOF, hey, is there known xorg breakage on intel with dual screen? 08:57"

The conclusion is very likely a unity issue but the dev need to do more testing
"""
seb128 so unity bog it seems 09:19
smspillaz oh, monitor hotplug is awesome 09:20
smspillaz seb128: well, not conclusively 09:20
smspillaz it could just be on certain hardware that compiz gets that 09:20
seb128 well RAOF gets the issue with unity and it seems to work without unity 09:20
smspillaz seb128: I think I need to do more testing 09:20
smspillaz like, checking if I get the issue with unity :) 09:20
smspillaz since I don't usually hotplug this monitor
"""

Scott Moser (smoser) wrote :

Just for reference, as a screenshot of the issue might help others identify it, I'm re-attaching screenshot from another duplicate bug.

I was surprised, but this actually shows the issue perfectly.
Note, the browser is cut off above the Ubuntu logo, and is not viewable at all on the second monitor (first is 1440 wide, the left).

David Barth (dbarth) wrote :

Tracking the bug also on Unity now. It may be between Compiz & Nux for example. I'd like Jay's input first, in particular as he has access to the Lab's HW to try and reproduce this more easily.

Changed in unity:
assignee: nobody → Jay Taoko (jaytaoko)
importance: Undecided → High
status: New → Triaged
milestone: none → 4.4.0
David Barth (dbarth) on 2011-07-21
Changed in compiz (Ubuntu Oneiric):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Jay Taoko (jaytaoko)
Didier Roche (didrocks) on 2011-07-21
Changed in unity:
milestone: 4.4.0 → 4.6.0
Didier Roche (didrocks) on 2011-08-01
Changed in unity:
milestone: 4.6.0 → 4.8.0
Jay Taoko (jaytaoko) wrote :

I was sable to reproduce the problem on my intel system: core i3 + GMA HD GPU + VGA cable.

Something notable is this:
- The bug can be reproduced when Unity starts without multi-monitor support. Then you plug in an external monitor and configure the system for a multi-monitor configuration.
- If Unity starts with multi-monitor config already enable, then the problem cannot be reproduce. The system works fine in multi-monitor configuration.

I have tested the system in several configurations and multi-monitor was working fine. It is only the case mentioned above that causes problem.
I have briefly tested my desktop system (ATI GPU + open source driver) but couldn't reproduce the problem. So there maybe something specific to intel here.

There is a fix for the the original problem mentioned in this bug.

Changed in unity:
status: Triaged → Confirmed
Jay Taoko (jaytaoko) on 2011-08-02
Changed in unity:
status: Confirmed → Fix Committed
David Barth (dbarth) on 2011-08-02
Changed in compiz (Ubuntu Oneiric):
status: Confirmed → Fix Committed
Omer Akram (om26er) wrote :

Unity 4.8.2 is now in Oneiric.

Changed in unity:
status: Fix Committed → Fix Released
Changed in compiz (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Scott Moser (smoser) wrote :

fixed here for me. Thanks!

Changed in unity (Ubuntu):
status: New → Fix Released
Rolf Leggewie (r0lf) wrote :

oneiric has seen the end of its life and is no longer receiving any updates. Marking the oneiric task for this ticket as "Won't Fix".

Changed in unity (Ubuntu Oneiric):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers